Bug 1940337 - rhos-ipi installer fails with not clear message when openstack tenant doesn't have flavors needed for compute machines
Summary: rhos-ipi installer fails with not clear message when openstack tenant doesn't...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.8
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.8.0
Assignee: Pierre Prinetti
QA Contact: Udi Shkalim
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-18 08:39 UTC by Tareq Alayan
Modified: 2021-07-27 22:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The case where a flavor is missing was improperly handled by code validation Consequence: When the user sets an in install-config a flavor that is not present in OpenStack, the error message was confusing. Fix: A flavor that is not found on Nova is now correctly reported inside the pre-flight check code. Result: When the user sets an in install-config a flavor that is not present in OpenStack, the pre-flight checks now correctly report the error.
Clone Of:
Environment:
Last Closed: 2021-07-27 22:54:17 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4924 0 None open Bug 1940337: openstack: Report missing flavor 2021-05-11 13:17:28 UTC
Red Hat Product Errata RHSA-2021:2438 0 None None None 2021-07-27 22:54:48 UTC

Description Tareq Alayan 2021-03-18 08:39:33 UTC
Version:

$ openshift-install version
4.8.0-0.nightly-2021-03-18-000857
built from commit f8a81655daaa0a21c917c671f1dce9733e14c6f2
release image registry.ci.openshift.org/ocp/release@sha256:5be3b251ccd17fae881d43591dd1bebe763780f0c7e3386332722ccb2648954d


Platform:
openstack IPI

What happened?
the tenant i am working against doesn't have a certain flavor we need ci.nested.virt.m1.xlarge

and the fail message was like:
level=fatal msg=failed to fetch Master Machines: failed to load asset "Install Config": compute[0].platform.openstack.type: Invalid value: "": Flavor did not meet the following minimum requirements: Must have minimum of 8 GB RAM, had 0 GB; Must have minimum of 2 VCPUs, had 0; Must have minimum of 25 GB Disk, had 0 GB

which is not clear on my opinion; 
it should be something like the flavor: "<FLAVOR NAME>" doesn't exist in your tenant ..

Comment 2 Udi Shkalim 2021-06-08 15:35:46 UTC
Verified on:4.8.0-0.nightly-2021-06-03-055145


(shiftstack) [stack@undercloud-0 ~]$ openstack flavor list
+--------------------------------------+---------------+-----+------+-----------+-------+-----------+
| ID                                   | Name          | RAM | Disk | Ephemeral | VCPUs | Is Public |
+--------------------------------------+---------------+-----+------+-----------+-------+-----------+
| 40af7133-41f1-44c7-886d-423d1297d121 | m4.xlargeeeee | 256 |    0 |         0 |     1 | True      |
+--------------------------------------+---------------+-----+------+-----------+-------+-----------+

(shiftstack) [stack@undercloud-0 ~]$ openshift-install create cluster --dir ostest/
FATAL failed to fetch Metadata: failed to load asset "Install Config": [controlPlane.platform.openstack.type: Not found: "m4.xlarge", compute[0].platform.openstack.type: Not found: "m4.xlarge"]

Comment 5 errata-xmlrpc 2021-07-27 22:54:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.8.2 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:2438


Note You need to log in before you can comment on or make changes to this bug.